<?php
require_once('include/dbconn.php');

?>
<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" integrity="sha512-z3gLpd7yknf1YoNbCzqRKc4qyor8gaKU1qmn+CShxbuBusANI9QpRohGBreCFkKxLhei6S9CQXFEbbKuqLg0DA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="assets/css/style.css">
</head>

<body>

    <div class="ath_container">

        <?php if (isset($_SESSION['success_message'])) { ?>
            <div class="success_msg">
                <?php echo $_SESSION['success_message']; ?>
            </div>
        <?php } ?>


        <div class="table_head">
            <h2>PHP PDO CRUD Operations</h2>

            <a href="create.php" class="add_btn"><i class="fa-solid fa-plus"></i> Add New</a>
        </div>


        <div style="overflow-x:auto;">
            <table class="custom_table">
                <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Gender</th>
                    <th>Action</th>
                </tr>

                <?php

                $query  = "SELECT * FROM students ORDER BY  id DESC";
                $stmt = $conn->prepare($query);
                $stmt->execute();

                if ($stmt->execute()) {
                    $result = $stmt->fetchAll(PDO::FETCH_OBJ);
                    // $row = $result->fetch_assoc();


                    //print_r($row);
                    // Using while loop to fetch results
                    $num = 1;
                    foreach ($result as $row) {

                ?>

                        <tr>
                            <td><?php echo $num++ ?></td>
                            <td><?php echo $row->name; ?></td>
                            <td><?php echo $row->email; ?></td>
                            <td><?php echo $row->phone; ?></td>
                            <td><?php echo $row->gender; ?></td>
                            <td>
                                <div class="action_btn">
                                    <a href="edit.php?id=<?php echo $row->id; ?>" class="edit"><i class="fa-solid fa-pen-to-square"></i></a>
                                    <a href="php_action/delete.php?id=<?php echo $row->id; ?>" class="delete"><i class="fa-solid fa-trash"></i></a>

                                </div>

                            </td>

                        </tr>

                <?php
                    }

                }
                ?>

            </table>

        </div>

    </div>

</body>

</html>

<?php
unset($_SESSION['success_message']);
//unset($_SESSION['flash_message']);
?>